## gimppatterns gimppatterns |

## Functions

gboolean | gimp_patterns_refresh ()
gchar ** | gimp_patterns_get_list ()
gchar * | gimp_patterns_get_pattern ()
gboolean | gimp_patterns_set_pattern ()
gchar * | gimp_patterns_get_pattern_data ()

## Description

## Functions

### gimp_patterns_refresh ()

    gboolean
    gimp_patterns_refresh (void);

### gimp_patterns_get_list ()

    gchar **
    gimp_patterns_get_list (const gchar *filter,
                            gint *num_patterns);

### gimp_patterns_get_pattern ()

    gchar *
    gimp_patterns_get_pattern (gint *width,
                               gint *height);

`gimp_patterns_get_pattern` is deprecated and should not be used in newly-written code.

Use `gimp_context_get_pattern()` instead.

### gimp_patterns_set_pattern ()

    gboolean
    gimp_patterns_set_pattern (const gchar *name);

`gimp_patterns_set_pattern` is deprecated and should not be used in newly-written code.

### gimp_patterns_get_pattern_data ()

    gchar *
    gimp_patterns_get_pattern_data (const gchar *name,
                                    gint *width,
                                    gint *height,
                                    gint *mask_bpp,
                                    gint *length,
                                    guint8 **mask_data);

`gimp_patterns_get_pattern_data` is deprecated and should not be used in newly-written code.

Use `gimp_pattern_get_pixels()` instead.

## Types and Values